package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrder;
import cn.superdesk.uniorder.dao.mapper.operationCenter.accounting.UnifiedAccountingOrderMapper;
import cn.superdesk.uniorder.service.operationCenter.UnifiedAccountingOrderService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/27 16:10
 * Description :
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class UnifiedAccountingOrderServiceImpl implements UnifiedAccountingOrderService {
    private UnifiedAccountingOrderMapper unifiedAccountingOrderMapper;
    @Override
    public int insertSelective(UnifiedAccountingOrder unifiedAccountingOrder) {
        return unifiedAccountingOrderMapper.insertSelective(unifiedAccountingOrder);
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedAccountingOrder unifiedAccountingOrder) {
        return unifiedAccountingOrderMapper.updateByPrimaryKeySelective(unifiedAccountingOrder);
    }

    @Override
    public void deleteObj(Long id) {

    }

    @Override
    public UnifiedAccountingOrder findById(Long id) {
        return unifiedAccountingOrderMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<UnifiedAccountingOrder> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<UnifiedAccountingOrder> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }
}
